Debian Bug report logs - #659421
giflib-tools: Uses perl4 corelibs without Depends

version graph

Package: giflib-tools; Maintainer for giflib-tools is Thibaut Gridel <tgridel@free.fr>; Source for giflib-tools is src:giflib.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Fri, 10 Feb 2012 23:48:05 UTC

Severity: normal

Tags: patch

Found in version giflib/4.1.6-9

Fixed in version giflib/4.1.6-9.1

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thibaut GRIDEL <tgridel@free.fr>:
Bug#659421; Package giflib-tools. (Fri, 10 Feb 2012 23:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Thibaut GRIDEL <tgridel@free.fr>. (Fri, 10 Feb 2012 23:48:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: giflib-tools: Uses perl4 corelibs without Depends
Date: Fri, 10 Feb 2012 23:45:34 +0000
Package: giflib-tools
Version: 4.1.6-9
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

usr/bin/gifburst:12 getopts.pl

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.
We'd like to have this in place for wheezy, so that we can follow
cleanly the upstream deprecation cycle in wheezy+1.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Thibaut GRIDEL <tgridel@free.fr>:
Bug#659421; Package giflib-tools. (Sun, 18 Mar 2012 16:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Thibaut GRIDEL <tgridel@free.fr>. (Sun, 18 Mar 2012 16:27:13 GMT) Full text and rfc822 format available.

Message #10 received at 659421@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658917@bugs.debian.org, 658931@bugs.debian.org, 658932@bugs.debian.org, 658945@bugs.debian.org, 658949@bugs.debian.org, 659421@bugs.debian.org, 659422@bugs.debian.org, 659423@bugs.debian.org, 659424@bugs.debian.org, 659429@bugs.debian.org
Subject: Intent to NMU in the coming weeks
Date: Sun, 18 Mar 2012 16:22:11 +0000
Dear maintainer,

As I would like to get all of the Perl4::Corelibs issues sorted out
before wheezy releases, to ease the transition for perl 5.16 in
wheezy+1, I intend to file NMUs for these issues, adding the dependency

libperl4-corelibs-perl | perl (<< 5.12.3-7)

as per the lintian descriptions and wiki[1]. I will upload them to
DELAYED/10. If you plan to fix these bugs before wheezy and would prefer
that I *don'* provide an NMU for the issue in your package, just let me
know.

Thanks,
Dominic.

[1] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Thibaut GRIDEL <tgridel@free.fr>:
Bug#659421; Package giflib-tools. (Sat, 28 Apr 2012 16:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Thibaut GRIDEL <tgridel@free.fr>. (Sat, 28 Apr 2012 16:36:02 GMT) Full text and rfc822 format available.

Message #15 received at 659421@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 659421@bugs.debian.org
Subject: giflib: diff for NMU version 4.1.6-9.1
Date: Sat, 28 Apr 2012 17:32:05 +0100
[Message part 1 (text/plain, inline)]
tags 659421 + patch
tags 659421 + pending
thanks

Dear maintainer,

I've prepared an NMU for giflib (versioned as 4.1.6-9.1) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[giflib-4.1.6-9.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 28 Apr 2012 16:36:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 28 Apr 2012 16:36:06 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Tue, 08 May 2012 17:21:16 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Tue, 08 May 2012 17:21:16 GMT) Full text and rfc822 format available.

Message #24 received at 659421-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 659421-close@bugs.debian.org
Subject: Bug#659421: fixed in giflib 4.1.6-9.1
Date: Tue, 08 May 2012 17:17:44 +0000
Source: giflib
Source-Version: 4.1.6-9.1

We believe that the bug you reported is fixed in the latest version of
giflib, which is due to be installed in the Debian FTP archive:

giflib-dbg_4.1.6-9.1_i386.deb
  to main/g/giflib/giflib-dbg_4.1.6-9.1_i386.deb
giflib-tools_4.1.6-9.1_i386.deb
  to main/g/giflib/giflib-tools_4.1.6-9.1_i386.deb
giflib_4.1.6-9.1.debian.tar.gz
  to main/g/giflib/giflib_4.1.6-9.1.debian.tar.gz
giflib_4.1.6-9.1.dsc
  to main/g/giflib/giflib_4.1.6-9.1.dsc
libgif-dev_4.1.6-9.1_i386.deb
  to main/g/giflib/libgif-dev_4.1.6-9.1_i386.deb
libgif4_4.1.6-9.1_i386.deb
  to main/g/giflib/libgif4_4.1.6-9.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659421@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated giflib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 Apr 2012 17:29:52 +0100
Source: giflib
Binary: giflib-dbg giflib-tools libgif4 libgif-dev
Architecture: source i386
Version: 4.1.6-9.1
Distribution: unstable
Urgency: low
Maintainer: Thibaut GRIDEL <tgridel@free.fr>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 giflib-dbg - library for GIF images (debug)
 giflib-tools - library for GIF images (utilities)
 libgif-dev - library for GIF images (development)
 libgif4    - library for GIF images (library)
Closes: 659421
Changes: 
 giflib (4.1.6-9.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Depend on libperl4-corelibs-perl (Closes: #659421)
Checksums-Sha1: 
 b737b8595c70e0c85b856a46c73ef1274e2c1a5a 1363 giflib_4.1.6-9.1.dsc
 4dcf0256f04edda1b701452adc7a12babc137905 8353 giflib_4.1.6-9.1.debian.tar.gz
 988d35fd0b3a168ef379e93756727f461605401e 167478 giflib-dbg_4.1.6-9.1_i386.deb
 34fcd17bac8e6a7902307e0233015129fcfacbe1 192884 giflib-tools_4.1.6-9.1_i386.deb
 6518f571ed6dbb232e42c78b9e25aa79d1c2a2a6 42198 libgif4_4.1.6-9.1_i386.deb
 aef88d96704b95e95f2dbb6bfd6d4169d198361c 45088 libgif-dev_4.1.6-9.1_i386.deb
Checksums-Sha256: 
 8dd6caf2eda8085cd080b66808ee4ab281773c73e8925fa28791cfa7261ba4b2 1363 giflib_4.1.6-9.1.dsc
 0a2f8fd3b43167782863109a94b32357af371018de6660707e50b9c0c5236488 8353 giflib_4.1.6-9.1.debian.tar.gz
 6b4018dced2c50d76d0a798f8936b4d60c1b4ec024f9c808754457a794420d4b 167478 giflib-dbg_4.1.6-9.1_i386.deb
 50e9b06d5d0c4174bbd72e832e71192df14606c383eefc6dd4ef0d4765d0f7f2 192884 giflib-tools_4.1.6-9.1_i386.deb
 c21c28bd6fd14c68dee1023eaf0132645b45800f7700f1e247ee538a8cab7301 42198 libgif4_4.1.6-9.1_i386.deb
 187fd0d9d154102d3f931b654216bf0f98c33984ca7b85570801c9b1061a2fab 45088 libgif-dev_4.1.6-9.1_i386.deb
Files: 
 9867d4fade8ddf0f205d7106e885766f 1363 libs optional giflib_4.1.6-9.1.dsc
 9daec1e87899061dff0a57b80fc81981 8353 libs optional giflib_4.1.6-9.1.debian.tar.gz
 f9ce79d28121a728dc7b45ebbcf0bead 167478 debug extra giflib-dbg_4.1.6-9.1_i386.deb
 74cf4b8191810f9ab4a65fb047139326 192884 utils optional giflib-tools_4.1.6-9.1_i386.deb
 7881f3c5f903f745d108325e8a743178 42198 libs optional libgif4_4.1.6-9.1_i386.deb
 1fbeda072d3620567559d29ff0c2de39 45088 libdevel optional libgif-dev_4.1.6-9.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPnBtTYzuFKFF44qURAvrMAJ4i/ZAGOy0Nk6ne2N7cSjH9vTmMIgCfbmLb
AIpAphZFhmlhxIj4Bi8RuiI=
=oMk3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Jun 2012 07:36:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:04:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.